<script lang="ts">
  export let logoImg = "";
  export let logoText = "";
  export let accountName: string | null | undefined = "";
  export let isLinked = false;
</script>

<div class="flex lg:flex-col items-center text-center">
  <img class="aspect-square w-10 lg:w-16" src={logoImg} alt={logoText} />
  {#if isLinked}
    <div class="pl-4 lg:pl-0">
      {accountName || 'Linked'}
    </div>
  {:else}
    <span class="pl-4 lg:pl-0">{logoText} unlinked</span>
  {/if}
</div>
